node-tap (16.3.7+ds3+~cs49.5.20-7) unstable; urgency=medium

  * Team upload
  * Expose pipes and buffer arrays for minipass 7

 -- Xavier Guimard <yadd@debian.org>  Sat, 02 May 2026 11:44:35 +0200

node-tap (16.3.7+ds3+~cs49.5.20-6) unstable; urgency=medium

  * Require riraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Dec 2025 00:20:52 +0100

node-tap (16.3.7+ds3+~cs49.5.20-5) unstable; urgency=medium

  * Add support for rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 Dec 2025 15:36:47 +0100

node-tap (16.3.7+ds3+~cs49.5.20-4) unstable; urgency=medium

  * patch: fix tests for node 24

 -- Jérémy Lal <kapouer@melix.org>  Sat, 13 Dec 2025 16:56:25 +0100

node-tap (16.3.7+ds3+~cs49.5.20-3) unstable; urgency=medium

  * Fix test to be filesystem order insentitive

 -- Bastien Roucariès <rouca@debian.org>  Wed, 29 Oct 2025 23:41:08 +0100

node-tap (16.3.7+ds3+~cs49.5.20-2) unstable; urgency=medium

  * patch: fix compilation with typescript 5. Closes: #1114229.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 28 Oct 2025 09:31:52 +0100

node-tap (16.3.7+ds3+~cs49.5.20-1) unstable; urgency=medium

  * Sourcefull upload
  * Update types

 -- Bastien Roucariès <rouca@debian.org>  Mon, 19 Aug 2024 09:15:22 +0000

node-tap (16.3.7+ds2+~cs50.9.19-1) unstable; urgency=medium

  * Move jackspeak to node-cliui

 -- Bastien Roucariès <rouca@debian.org>  Sun, 18 Aug 2024 19:37:35 +0000

node-tap (16.3.7+ds1+~cs50.9.19-7) unstable; urgency=medium

  * Ease transition for newer minipass

 -- Bastien Roucariès <rouca@debian.org>  Fri, 09 Aug 2024 19:14:54 +0000

node-tap (16.3.7+ds1+~cs50.9.19-6) unstable; urgency=medium

  * Port to newer minipass

 -- Bastien Roucariès <rouca@debian.org>  Thu, 08 Aug 2024 21:58:55 +0000

node-tap (16.3.7+ds1+~cs50.9.19-5) unstable; urgency=medium

  * Team upload
  * Ease transition for node-tap-parser

 -- Bastien Roucariès <rouca@debian.org>  Tue, 30 Jul 2024 23:02:32 +0000

node-tap (16.3.7+ds1+~cs50.9.19-4) unstable; urgency=medium

  * patch: improve .ts support
  * Remove --ts for debian/tests, no longer needed

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Dec 2023 10:48:20 +0100

node-tap (16.3.7+ds1+~cs50.9.19-3) unstable; urgency=medium

  [ Yadd ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jérémy Lal ]
  * Pass --ts for all tests to pass properly

 -- Jérémy Lal <kapouer@melix.org>  Tue, 05 Dec 2023 18:05:21 +0100

node-tap (16.3.7+ds1+~cs50.9.19-2) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Add fix for node-signal-exit >= 4 and node-foreground-child >= 3

 -- Yadd <yadd@debian.org>  Fri, 18 Aug 2023 07:12:05 +0400

node-tap (16.3.7+ds1+~cs50.9.19-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * New upstream version 16.3.7+ds1+~cs50.9.19, updates:
    - tap 16.3.7
    - libtap 1.4.1
    - trivial-deferred 1.1.2
  * Update build and test

 -- Yadd <yadd@debian.org>  Sun, 16 Jul 2023 11:52:14 +0400

node-tap (16.3.2+ds1+~cs50.8.16-1) unstable; urgency=medium

  * Team upload
  * New upstream version 16.3.2+ds1+~cs50.8.16
  * Build tcompare with typescript
  * Fix commonjs exports
  * Add patch to export tcompare/package.json
  * Fix test
  * Test-Depends: ts-node

 -- Yadd <yadd@debian.org>  Thu, 24 Nov 2022 18:03:31 +0100

node-tap (16.3.1+ds1+~cs48.8.25-1) unstable; urgency=medium

  * Team upload
  * update findit url
  * New upstream version 16.3.1+ds1+~cs48.8.25
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 14 Nov 2022 06:10:34 +0100

node-tap (16.3.0+ds1+~cs48.8.24-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 16.3.0+ds1+~cs48.8.24

 -- Yadd <yadd@debian.org>  Tue, 26 Jul 2022 08:29:03 +0200

node-tap (16.1.0+ds+~cs48.8.24-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 06:37:14 +0200

node-tap (16.1.0+ds+~cs48.8.24-1) experimental; urgency=medium

  * Team upload
  * Embed typescript declarations
  * New upstream version 16.1.0+ds+~cs48.8.24
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 02 May 2022 06:06:31 +0200

node-tap (15.2.3+ds+~cs33.7.17-3) unstable; urgency=medium

  * Team upload
  * Add missing dependency to node-base
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 12:27:03 +0200

node-tap (15.2.3+ds+~cs33.7.17-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 06:32:17 +0100

node-tap (15.2.3+ds+~cs33.7.17-1) experimental; urgency=medium

  * Team upload
  * Update nodejs dependency to nodejs:any
  * Use dh-sequence-nodejs auto test & install
  * Use uscan components instead of old dh_component
  * New upstream version 15.2.3+ds+~cs33.7.17 (Closes: #1004503)
  * Update patches
  * Update dependencies
  * Update lintian overrides
  * Update copyright
  * Build commonjs files for module-caller*

 -- Yadd <yadd@debian.org>  Tue, 08 Mar 2022 12:02:26 +0100

node-tap (12.0.1+ds-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix BTS number
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Update standards version to 4.6.0, no changes needed.
  * Fix test for js-yaml ≥ 4

 -- Yadd <yadd@debian.org>  Wed, 24 Nov 2021 14:35:28 +0100

node-tap (12.0.1+ds-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Fix test for js-yaml 3.14.0 (Closes: #963437)

 -- Xavier Guimard <yadd@debian.org>  Tue, 11 Aug 2020 11:43:47 +0200

node-tap (12.0.1+ds-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Add lintian overrides
  * Update links
  * Use ${nodejs:Provides}
  * Disable 3 tests that fail with Node.js ≥ 12

 -- Xavier Guimard <yadd@debian.org>  Mon, 20 Jan 2020 13:05:57 +0100

node-tap (12.0.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update embedded node-tsame.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 06 Sep 2018 15:45:42 +0200

node-tap (11.1.4+ds-3) unstable; urgency=medium

  * node-tap provides virtual package for embedded small package.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 25 Jun 2018 21:15:49 +0200

node-tap (11.1.4+ds-2) unstable; urgency=medium

  * use CI=1 env variable in order to increase timeout.
    Fix FTBFS

 -- Bastien Roucariès <rouca@debian.org>  Tue, 08 May 2018 15:16:17 +0200

node-tap (11.1.4+ds-1) unstable; urgency=medium

  * Update own-or-env
  * Increase timeout for build, thanks to Graham Inggs
    (Closes: #895312).
  * Bump compat or policy (no changes).
  * Move to salsa
  * Change homepage

 -- Bastien Roucariès <rouca@debian.org>  Mon, 07 May 2018 15:10:30 +0200

node-tap (11.0.0+ds1-2) unstable; urgency=medium

  * Bug fix: "4 autopkgtests fail", thanks to Pirate Praveen (Closes:
    #877967).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Dec 2017 16:05:26 +0100

node-tap (11.0.0+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Bastien Roucariès <rouca@debian.org>  Fri, 01 Dec 2017 16:01:12 +0100

node-tap (10.7.2+ds1-4) unstable; urgency=medium

  * Bug fix: "node-tap FTBFS: test failures", thanks to Adrian Bunk
    (Closes: #876938). Avoid timeout test
  * coverall is recommended

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 Sep 2017 13:53:16 +0200

node-tap (10.7.2+ds1-3) unstable; urgency=medium

  * Fix autopkgtest by not using timeout

 -- Bastien Roucariès <rouca@debian.org>  Mon, 18 Sep 2017 11:15:40 +0200

node-tap (10.7.2+ds1-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Fri, 15 Sep 2017 10:56:06 +0200

node-tap (10.7.2+ds1-1) unstable; urgency=medium

  * New upstream version (Closes: #872899).
  * Bump policy no changes
  * Add myself as maintainer

 -- Bastien Roucariès <rouca@debian.org>  Thu, 14 Sep 2017 13:42:33 +0200

node-tap (8.0.0-6) unstable; urgency=medium

  * Team upload
  * Use module node-clean-yaml-object instad of patch
  * Use node-tap-mocha-reporter instead of patch
  * Use node-stack-utils instead of patch

 -- Bastien Roucariès <rouca@debian.org>  Thu, 07 Sep 2017 11:11:55 +0200

node-tap (8.0.0-5) unstable; urgency=medium

  * Team upload.
  * Use module foreground-child instead of patch.
  * Run tap using a wrapper in order to get usage.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 01 Sep 2017 14:31:56 +0200

node-tap (8.0.0-4) unstable; urgency=medium

  * Build reproducibility: do not use dh_fixperms -X

 -- Jérémy Lal <kapouer@melix.org>  Wed, 01 Feb 2017 10:11:25 +0100

node-tap (8.0.0-3) unstable; urgency=medium

  * Disable segv test if gcc is missing (Closes: #848904)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 18:20:01 +0100

node-tap (8.0.0-2) unstable; urgency=medium

  * Fail missing nyc gracefully (Closes: #844998)
  * Add Build-Depends so help2man can launch tap
  * Remove dependencies from the old tap version

 -- Jérémy Lal <kapouer@melix.org>  Sat, 19 Nov 2016 14:55:49 +0100

node-tap (8.0.0-1) unstable; urgency=medium

  * New upstream version 8.0.0
  * Secure Vcs url
  * Standards-Version 3.9.8
  * Copyright: Expat to ISC
  * Copyright for foreground-child
  * Bundle modules from tapjs as patches:
    + foreground-child
    + tap-mocha-reporter
    + clean-yaml-object
    + stack-utils
    + buffer-to-string
  * Remove the need for unavailable dependencies:
    + only-shallow
    + deeper
    + color-support
    + os-homedir
    + bluebird
  * Postpone the need for unavailable dependencies, and Suggests them:
    + coveralls
    + nyc
    + opener
  * Build-Depends: keep only what's needed to get help2man running
  * Fix help2man call (Closes: #841558)
  * Enable test suite in autopkgtest
  * Patch tests for nodejs rename and disable some tests

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Nov 2016 19:13:51 +0100

node-tap (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Aug 2015 04:30:06 +0200

node-tap (0.4.13-2) unstable; urgency=medium

  * Patch fixing failing test FTBFS (Closes: #775627)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 16 Feb 2015 23:52:37 +0100

node-tap (0.4.13-1) unstable; urgency=low

  * Initial release (Closes: #765988)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Oct 2014 02:01:43 +0200
